Last Comment Bug 438585 - Updates to Public Suffix List
: Updates to Public Suffix List
Status: RESOLVED FIXED
: verified1.9.0.1
Product: Core
Classification: Components
Component: Networking (show other bugs)
: 1.9.0 Branch
: All All
-- normal with 1 vote (vote)
: mozilla1.9.1a1
Assigned To: Gervase Markham [:gerv]
:
: Patrick McManus [:mcmanus]
Mentors:
http://www.publicsuffix.org
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-11 06:02 PDT by Gervase Markham [:gerv]
Modified: 2014-02-05 10:12 PST (History)
8 users (show)
mbeltzner: blocking1.9.0.1-
mbeltzner: wanted1.9.0.x+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch A, v.1 (16.04 KB, patch)
2008-06-23 08:21 PDT, Gervase Markham [:gerv]
dwitte: review+
mbeltzner: approval1.9.0.1+
Details | Diff | Splinter Review
what I landed (17.22 KB, patch)
2008-06-30 23:31 PDT, Reed Loden [:reed] (use needinfo?)
no flags Details | Diff | Splinter Review

Description User image Gervase Markham [:gerv] 2008-06-11 06:02:22 PDT
This bug covers the checkin of updates to the Public Suffix List submitted to submissions@publicsuffix.org by representatives of registries. Please contact me in case of any query.

Gerv
Comment 1 User image Gervase Markham [:gerv] 2008-06-23 08:21:40 PDT
Created attachment 326325 [details] [diff] [review]
Patch A, v.1

Here's the first round of updates.

Gerv
Comment 2 User image Gervase Markham [:gerv] 2008-06-30 08:36:52 PDT
Nominating for blocking; this update includes at least one fix for broken websites (.mx records were wrong; anyone with an example.mx domain can't set domain-wide cookies).

Gerv
Comment 3 User image Gervase Markham [:gerv] 2008-06-30 09:02:21 PDT
Comment on attachment 326325 [details] [diff] [review]
Patch A, v.1

biesi is on vacation
bz is moving house
darin is not around
-> no netwerk peers.

shaver said he'd be happy with dwitte's review. Dan: can you oblige? It would be good to get this for 3.0.1 if at all possible.

Gerv
Comment 4 User image dwitte@gmail.com 2008-06-30 15:30:18 PDT
Comment on attachment 326325 [details] [diff] [review]
Patch A, v.1

>+公司.cn
>+网络.cn
>+網絡.cn

since various people have had issues with utf8 patches/checkins in the past, please verify these appear properly after you land.

>+org.co
>+rec.co
>+web.co
>+
>+

extra newlines?

>+公司.hk
>+教育.hk
>+敎育.hk
>+政府.hk
>+個人.hk
>+个人.hk
>+箇人.hk
>+網络.hk
>+网络.hk
>+组織.hk
>+網絡.hk
>+网絡.hk
>+组织.hk
>+組織.hk
>+組织.hk 

same verification with these please.

> // nl : http://www.domain-registry.nl/ace.php/c,728,122,,,,Home.html
>+// Confirmed by registry <Antoin.Verschuren@sidn.nl> (with technical
>+// reservations) 2008-06-08

curious; what were these reservations?

>diff --git a/netwerk/test/unit/test_bug414122.js b/netwerk/test/unit/test_bug414122.js
>--- a/netwerk/test/unit/test_bug414122.js
>+++ b/netwerk/test/unit/test_bug414122.js
>@@ -21,16 +21,17 @@ function run_test()
>+    line = line.replace(/^\s+/, "");

why are there lines with leading whitespace? if there are, they should be fixed, but if you need this then fine.

r=dwitte, ecstatic to see so many registries participating in the list... nice work!
Comment 5 User image Mike Beltzner [:beltzner, not reading bugmail] 2008-06-30 22:54:13 PDT
Comment on attachment 326325 [details] [diff] [review]
Patch A, v.1

a=beltzner
Comment 6 User image Mike Beltzner [:beltzner, not reading bugmail] 2008-06-30 22:54:44 PDT
reed/gavin, please check in and watch the UTF as dwitte warns!
Comment 7 User image Reed Loden [:reed] (use needinfo?) 2008-06-30 23:31:30 PDT
Created attachment 327558 [details] [diff] [review]
what I landed

This is what I landed.

Checking in netwerk/dns/src/effective_tld_names.dat;
/cvsroot/mozilla/netwerk/dns/src/effective_tld_names.dat,v  <--  effective_tld_names.dat
new revision: 1.5; previous revision: 1.4
done
Checking in netwerk/test/unit/test_bug414122.js;
/cvsroot/mozilla/netwerk/test/unit/test_bug414122.js,v  <--  test_bug414122.js
new revision: 1.2; previous revision: 1.1
done
Comment 8 User image Gervase Markham [:gerv] 2008-06-30 23:59:04 PDT
Thanks :-) I got up just in time to do this, but it's nice not to have to rush :-)

Gerv
Comment 9 User image (mostly gone) XtC4UaLL [:xtc4uall] 2008-07-04 06:55:39 PDT
is this going to land on trunk too?
Comment 10 User image Gervase Markham [:gerv] 2008-07-04 09:51:34 PDT
Yep, when I get around to it :-)

Gerv
Comment 11 User image Hasham 2008-07-08 11:15:01 PDT
Quick question about these suffix updates: were these suffix's unsupported before this patch? Or were there other problems like the .mx cookie issue brought up in comment 2? 
Comment 12 User image Gervase Markham [:gerv] 2008-07-09 01:21:31 PDT
It depends what you mean by "supported". It was never true that Firefox didn't support a suffix, as in "refused to visit the site". What it did before is explained by the old state of the file; what it does now is explained by the new state :-)

In most cases, beforehand the policy was too loose, and it's now been tightened up. 

In the .mx case, it's the reverse. Also in this category are .co, .sb and .th, although no harm has been reported in these cases.

Gerv
Comment 13 User image Hasham 2008-07-09 10:37:24 PDT
Ah, I see. Thanks, Gerv! BTW, is there any way to verify that these changes have been applied?
Comment 14 User image Gervase Markham [:gerv] 2008-07-10 04:19:33 PDT
Do you mean, is there any way of telling that the version of Firefox you are running has the changes?

Here's one way, although it's a bit flaky. 

* Set the preference browser.identity.ssl_domain_display to 1. 
* Visit https://www.dgae-siae.unam.mx/

This is complicated by the fact that the site has some insecure content, and so the domain display disappears after a second or two, but if you briefly see "dgae-siae.unam.mx" then the patch hasn't been applied, and if you see "unam.mx" then it has.

Gerv
Comment 15 User image Hasham 2008-07-10 10:17:47 PDT
Awesome, thanks Gerv! This is verified fixed on 1.9.0.1 based on testcase in comment 14.

Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.0.1) Gecko/2008070206 Firefox/3.0.1
Comment 16 User image Myk Melez [:myk] [@mykmelez] 2008-07-10 17:29:37 PDT
Gerv checked in something from here (it's not clear what) today, then he backed it out when we were trying to figure out a test failure that started shortly after his checkin.

But his patch has now been cleared of culpability for the test failure and can land again when the tree reopens.
Comment 17 User image Reed Loden [:reed] (use needinfo?) 2008-07-12 04:56:18 PDT
Pushed in 15880:c5a99dd3ae51.
Comment 18 User image Gervase Markham [:gerv] 2008-07-12 10:06:27 PDT
Thank you, reed.

Gerv

Note You need to log in before you can comment on or make changes to this bug.